/* Reset & base */
* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: sans-serif;
}

html {
  scrollbar-gutter: stable;
}

body {
    background-color: black;
    display: flex;
    justify-content: center;
    padding: 1rem;
}

/* Page container */
.page {
    max-width: 1000px;
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

/* Header */
.header {
    position: relative;
    display: flex;
    justify-content: center;
    margin-bottom: 1rem;
}

.title {
    margin-top: 20px;
    color: white;
    font-size: 2rem;
}

/* Main layout */
.content {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

@media (min-width: 768px) {
    .content {
        flex-direction: row;
    }
}

/* Form section */
.form-section {
    width: 100%;
    
}

.detailsTitle {
    color: white;
    font-size: 1.5rem;
    margin-bottom: 1rem;
}

.form {
    background: rgba(255, 255, 255, 0.2);
    padding: 2.5rem;
    border-radius: 0.5rem;
    display: flex;
    flex-direction: column;
    gap: 2rem;
    align-items: center;
    height: 100%;
     justify-content: center;
}

.field {
    display: flex;
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 0.25rem;
}

label {
    color: white;
}

input,
select {
    padding: 0.5rem;
    border: none;
    border-radius: 10px;
}

#currencySelect{
    background-color: transparent;
    color: white;

    option{
        color: black;
    }
}

/* Submit button */
.submit-btn {
    margin-top: 1.5rem;
    width: 50%;
    padding: 1rem;
    background-color: #4ade80;
    border: none;
    border-radius: 0.375rem;
    font-weight: bold;
    cursor: pointer;
}

/* Summary section */
.summary-section {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.transactions-section {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

/* Summary box */
.summary-box {
    position: relative;
    background: rgba(255, 255, 255, 0.2);
    padding: 2.5rem;
    border-radius: 0.5rem;
    color: white;
}

.transactions-box {
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    background: rgba(255, 255, 255, 0.2);
    padding: 2.5rem;
    border-radius: 0.5rem;
    color: white;
    justify-content: center;
    align-items: center;
}


.summary-box h2,
.summary-box h3 {
    color: white;
    margin-bottom: 0.5rem;
}

/* Details button */
.gray-btn {
    position: absolute;
    top: 1rem;
    right: 1rem;
    background: white;
    padding: 0.5rem 0.75rem;
    border-radius: 0.375rem;
    text-decoration: none;
    color: black;
    font-size: 0.875rem;
    font-weight: 500;
}

/* Chart box */
.chart-box {
    background: rgba(255, 255, 255, 0.2);
    padding: 3rem;
    position: relative;
    border-radius: 0.5rem;
    display: flex;
    justify-content: center;
    align-items: center;
}

#transactionList{
    display: flex;
    flex-direction: column;
    gap: 1rem
}

.date-header{
    margin-top: 1rem;
}

.deleteBtn{
    background-color: transparent;
    color: red;
    border: none;
    font-size: large;
    cursor: pointer;
    margin-left: 3rem;
}

.transaction-item{    
    padding: 5px;

}

.transaction-item:hover{    
    background-color: rgba(255, 255, 255, 0.1);
    border-radius: 10px;
}

